Skip to main content
GET
/
stores
/
{storeId}
/
cases
/
{caseId}
Get case detail
curl --request GET \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/cases/{caseId} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "id": "<string>",
    "subject": "<string>",
    "status": "OPEN",
    "priority": "LOW",
    "orderId": "<string>",
    "customerId": "<string>",
    "lastMessageAt": "2023-11-07T05:31:56Z",
    "lastMessageBy": "CUSTOMER",
    "unreadCount": 123,
    "escalated": true,
    "closedAt": "2023-11-07T05:31:56Z",
    "closedBy": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "customer": {
      "id": "<string>",
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>"
    },
    "order": {
      "id": "<string>",
      "orderNumber": "<string>",
      "amount": 123,
      "currency": "<string>",
      "status": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pandabase.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48
caseId
string
required

Case ID (cs_ prefix)

Required string length: 12 - 48

Response

Case detail

ok
boolean
required
data
object
required

Case detail. Same fields as the list view (Case), with the embedded order additionally including status and createdAt.